> For the complete documentation index, see [llms.txt](https://docs.taptalk.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.taptalk.io/powertalk-chat-sdk-documentation/powertalk-javascript-sdk/connection.md).

# Connection

### Connect to TapTalk.io server

You can manually connect to TapTalk.io by calling `connect()` method.

{% hint style="warning" %}
**Note:** Please make sure that you have finished authentication by calling `authenticate()`method, otherwise, it will return an error
{% endhint %}

{% tabs %}
{% tab title="JavaScript" %}

```java
taptalk.connect({
      onSuccess: (successMessage) => {
        // do action here
      },
      onError: (errorMessage) => {
        // do action here
      },
      onClose: (message) => {
        // do action here
      }
})
```

{% endtab %}
{% endtabs %}

### Disconnect from TapTalk.io server

You can disconnect from TapTalk.io when the user no longer needs to receive messages from an online state. But the user can still receive push notifications for new messages when the app is closed.

When the user is disconnected from the server, all event delegates will stop receiving event callbacks from the server.TapTalk.disconnect()    &#x20;

{% tabs %}
{% tab title="JavaScript" %}

```javascript
taptalk.disconnect()
```

{% endtab %}
{% endtabs %}

### Check Connection Status

You can check whether you are connected to TapTalk.io server by calling **`isConnected()`** method.

{% tabs %}
{% tab title="JavaScript" %}

```java
var isConnected = taptalk.isConnected();
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.taptalk.io/powertalk-chat-sdk-documentation/powertalk-javascript-sdk/connection.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
